Get top posts
GET
/analytics/v1/top/postsReturns the top posts over a date range
Authorization
Bearer Authorization<token>
In: header
Query Parameters
limit?string
Maximum number of results
feed_id?string
Filter by feed
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.TopPostsResponse",
"$ref-value": {
"properties": {
"posts": {
"items": {
"$ref": "#/components/schemas/analyticsv1.PostStats",
"$ref-value": {
"properties": {
"avg_watch_time_ms": {
"type": "number"
},
"completion_rate": {
"type": "number"
},
"completions": {
"type": "integer"
},
"content_type": {
"type": "string"
},
"feed_id": {
"type": "string"
},
"post_id": {
"type": "string"
},
"starts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "integer"
},
"unique_viewers": {
"type": "integer"
},
"views_by_page": {
"additionalProperties": {
"type": "integer"
},
"type": "object"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/top/posts"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.TopPostsResponse",
"$ref-value": {
"properties": {
"posts": {
"items": {
"$ref": "#/components/schemas/analyticsv1.PostStats",
"$ref-value": {
"properties": {
"avg_watch_time_ms": {
"type": "number"
},
"completion_rate": {
"type": "number"
},
"completions": {
"type": "integer"
},
"content_type": {
"type": "string"
},
"feed_id": {
"type": "string"
},
"post_id": {
"type": "string"
},
"starts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "integer"
},
"unique_viewers": {
"type": "integer"
},
"views_by_page": {
"additionalProperties": {
"type": "integer"
},
"type": "object"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}